Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Create new Knowledge Based Authentication items

Request

Security
Bearer
BodyArray [
idinteger(int32)
userNamestring or null
questionstring or null
answerstring or null
]
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/user-kba' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    {
      "id": 0,
      "userName": "string",
      "question": "string",
      "answer": "string"
    }
  ]'

Responses

The KBA items were created successfully

Response
No content

Get KBA Items in the database assigned to the requested user

Request

Security
Bearer
Path
userNamestringrequired
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/user-kba/{userName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The KBA items for the given user

Bodyapplication/jsonArray [
userNamestring or null

The user name

questionstring or null

The specified question

answerstring or null

The answer to the question

]
Response
application/json
[ { "userName": "string", "question": "string", "answer": "string" } ]

Deletes all KBA Items in the database assigned to the requested user

Request

Security
Bearer
Path
userNamestringrequired
curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/user-kba/{userName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The KBA items for the given user were deleted successfully

Validates a Knowledge Based Authentication item answer

Request

Security
Bearer
Body
kbaAnswerstring or null

The correct answer

userAnswerstring or null

The answer inputted by the user

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/user-kba/validate-kba-answer' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "kbaAnswer": "string",
    "userAnswer": "string"
  }'

Responses

Whether or not the answers are valid

Bodyapplication/json
boolean
Response
application/json
true

Users

Operations

Verification

Operations

VerificationResult

Operations